> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List navigation links

> This API returns the header links and the footer links, each in display order.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/navigation-links.yaml GET /navigation_links
openapi: 3.0.3
info:
  title: NeetoKB Navigation Links API
  description: >-
    APIs to read and replace the header and footer links of the knowledge base
    site.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /navigation_links:
    get:
      tags:
        - Navigation links
      summary: List navigation links
      description: >-
        This API returns the header links and the footer links, each in display
        order.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/navigation_links'
        '401':
          $ref: '#/components/responses/unauthorized_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    navigation_links:
      type: object
      properties:
        header_links:
          type: array
          items:
            $ref: '#/components/schemas/navigation_link'
        footer_links:
          type: array
          items:
            $ref: '#/components/schemas/navigation_link'
    navigation_link:
      type: object
      properties:
        id:
          type: string
          format: uuid
        label:
          type: string
          example: Docs
        link:
          type: string
          example: https://example.com/docs
        kind:
          type: string
          enum:
            - external_link
            - action
        sequence:
          type: integer
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.